<!DOCTYPE html>
<html>
	<head>
		<link type="text/css" rel="stylesheet" href="./css/materialize.min.css"  media="screen,projection"/>

		<meta charset="UTF-8"/>
		<title>TEST</title>
	</head>
	<body>
		<h1>HELLO WORLD</h1>
		<a id="downloadLogs" class="waves-effect waves-light btn">Download Logs</a>
		<a id="loadPlayer" class="waves-effect waves-light btn">Load Player</a>
		<a id="backupTool" class="waves-effect waves-light btn">Open BackUp Tool</a>
		<div id="load" class="progress"></div>

		<script type="text/javascript">
			const ipcRenderer = require('electron').ipcRenderer;

			document.querySelector('#downloadLogs').addEventListener('click', () => {
				document.querySelector('#load').innerHTML = '<div id="percent" class="determinate" style="width: 0%"/>';
				ipcRenderer.send("downloadLogs");
			});

			document.querySelector('#backupTool').addEventListener('click', () => {
				ipcRenderer.send("backupTool");
			});

			document.querySelector('#loadPlayer').addEventListener('click', () => {
				ipcRenderer.send("loadPlayer");
			});

			ipcRenderer.on('percentUpdate', function(event, response){
				document.querySelector('#percent').style.width = response;
			});
		</script>
		<script type="text/javascript" src="./js/materialize.min.js"/>
	</body>
</html>

